package com.bonus.canteen.core.order.web.vo.export;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.bonus.canteen.core.order.web.vo.OrderListWebVO;

public class OrderRoomListExportVO extends OrderListWebVO {
   @ExcelProperty(
      value = {"预订人姓名"},
      order = 1
   )
   private String custName;
   @ExcelProperty(
      value = {"预订人编号"},
      order = 1
   )
   private String custNum;
   @ExcelProperty(
      value = {"预订人手机号"},
      order = 2
   )
   private String mobile;
   @ExcelProperty(
      value = {"预订人类别"},
      order = 4
   )
   private String psnTypeName;

   public static OrderRoomListExportVO of(OrderListWebVO orderListWebVO) {
      return (OrderRoomListExportVO)BeanUtil.copyProperties(orderListWebVO, OrderRoomListExportVO.class, new String[0]);
   }

   public String getCustName() {
      return this.custName;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
   }
}
